Bug 150985 - net-p2p/amule2: rename to net-p2p/amule and update to 10300
Summary: net-p2p/amule2: rename to net-p2p/amule and update to 10300
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-27 10:20 UTC by swell.k
Modified: 2010-10-19 06:40 UTC (History)
0 users

See Also:


Attachments
a.diff (8.24 KB, patch)
2010-09-27 10:20 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-09-27 10:20:04 UTC
Rename the port to mark:
  We currently have only one amule port and it's based on a svn snapshot.

It should have been done earlier, my fault. At least one user was
confused about current package versioning.
  http://docs.freebsd.org/cgi/mid.cgi?AANLkTinNPgm5pJS-OY28t5fScwtv+KHg-rXeBMqJd9Ht

And while here...
- update
- switch to tarballs provided on amule.sourceforge.net
- add MONOLITHIC knob
- split ALC and CAS options
- prune old PKGNAMEs from CONFLICTS

Fix: Apply *after* renaming.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-27 10:20:17 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-09-27 10:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-28 03:15:18 UTC
State Changed
From-To: open->repocopy

repo copy net-p2p/amule2: rename to net-p2p/amule 


Comment 4 Philip M. Gollucci freebsd_committer 2010-09-28 03:15:18 UTC
Responsible Changed
From-To: pgollucci->portmgr

repo copy net-p2p/amule2: rename to net-p2p/amule
Comment 5 swell.k 2010-09-30 12:50:36 UTC
Hmm, better repocopy to net-p2p/amule-devel leaving the chance to
resurrect non-devel port based on latest release if someone else is
willing to maintain it.
Comment 6 Joe Marcus Clarke freebsd_committer 2010-10-04 07:44:26 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2010-10-04 07:44:26 UTC
Responsible Changed
From-To: portmgr->pgollucci

Repocopy complete.
Comment 8 swell.k 2010-10-04 13:02:50 UTC
Doh, inflexible repocopies... OK, I'll stick to net-p2p/amule.
Here is a new diff that uses newer snapshot.

--- a.diff begins here ---
Index: net-p2p/amule/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/Makefile,v
retrieving revision 1.41
diff -u -p -r1.41 Makefile
--- net-p2p/amule/Makefile	7 Sep 2010 15:52:17 -0000	1.41
+++ net-p2p/amule/Makefile	4 Oct 2010 11:58:44 -0000
@@ -1,4 +1,4 @@
-# New ports collection makefile for:	amule2
+# New ports collection makefile for:	amule
 # Date created:		Wed Nov 05 09:30:00 UTC 2003
 # Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.org>
 #
@@ -6,11 +6,10 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10275
+PORTVERSION=	10305
 CATEGORIES=	net-p2p
-MASTER_SITES=	LOCAL/pav \
-		http://repo.or.cz/w/${PORTNAME}.git/snapshot/
-DISTNAME=	${PORTNAME}-svn-r${PORTVERSION}
+MASTER_SITES=	http://amule.sourceforge.net/tarballs/
+DISTNAME=	aMule-SVN-r${PORTVERSION}
 
 MAINTAINER=	swell.k@gmail.com
 COMMENT=	The all-platform eMule p2p client
@@ -18,11 +17,9 @@ COMMENT=	The all-platform eMule p2p clie
 BUILD_DEPENDS=	${FLEX}:${PORTSDIR}/textproc/flex \
 		${LOCALBASE}/lib/libcryptopp.a:${PORTSDIR}/security/cryptopp
 
-LATEST_LINK=	amule2
-CONFLICTS=	aMule-[0-9]* aMule-devel-[0-9]* ed2k-hash-[0-9]*
-
-WRKSRC=		${WRKDIR}/${PORTNAME}
+CONFLICTS=	ed2k-hash-[0-9]*
 
+USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
 USE_KDE4=	# empty
@@ -40,17 +37,20 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 CFLAGS+=	${PTHREAD_CFLAGS}
 LDFLAGS+=	${PTHREAD_LIBS} -L${LOCALBASE}/lib
 
-OPTIONS=	ALC "Compile aMule Link Creator (+GUI)" on \
+OPTIONS=	ALC "Compile aMule Link Creator for GUI" on \
+		ALCC "Compile aMule Link Creator for console" on \
 		AMULECMD "Compile aMule command line client" on \
 		AMULEDAEMON "Compile aMule daemon version" on \
 		AMULEGUI "Compile aMule remote GUI (EXPERIMENTAL)" on \
-		CAS "Compile C aMule Statistics (+GUI)" on \
+		CAS "Compile aMule Statistics for console" on \
 		ED2K "Compile aMule ed2k links handler" on \
 		GEOIP "Enable GeoIP IP2Country support" off \
 		MMAP "Enable using mapped memory" off \
+		MONOLITHIC "Compile monolithic aMule" on \
 		PLASMAMULE "Compile aMule plasma applet and engine" off \
 		UPNP "Enable Universal Plug and Play support" off \
 		WEBSERVER "Compile aMule WebServer" on \
+		WXCAS "Compile aMule Statistics for GUI" on \
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
@@ -76,13 +76,21 @@ PLIST_SUB+=	NLS="@comment "
 .endif
 
 .if !defined(WITHOUT_ALC)
-CONFIGURE_ARGS+=	--enable-alc --enable-alcc
+CONFIGURE_ARGS+=	--enable-alc
 PLIST_SUB+=		ALC=""
 .else
-CONFIGURE_ARGS+=	--disable-alc --disable-alcc
+CONFIGURE_ARGS+=	--disable-alc
 PLIST_SUB+=		ALC="@comment "
 .endif
 
+.if !defined(WITHOUT_ALCC)
+CONFIGURE_ARGS+=	--enable-alcc
+PLIST_SUB+=		ALCC=""
+.else
+CONFIGURE_ARGS+=	--disable-alcc
+PLIST_SUB+=		ALCC="@comment "
+.endif
+
 .if !defined(WITHOUT_AMULECMD)
 CONFIGURE_ARGS+=	--enable-amulecmd
 PLIST_SUB+=		AMULECMD=""
@@ -109,11 +117,11 @@ PLIST_SUB+=		AMULEGUI="@comment "
 .endif
 
 .if !defined(WITHOUT_CAS)
-CONFIGURE_ARGS+=	--enable-cas --enable-wxcas
+CONFIGURE_ARGS+=	--enable-cas
 LIB_DEPENDS+=		gd.4:${PORTSDIR}/graphics/gd
 PLIST_SUB+=		CAS=""
 .else
-CONFIGURE_ARGS+=	--disable-cas --disable-wxcas
+CONFIGURE_ARGS+=	--disable-cas
 PLIST_SUB+=		CAS="@comment "
 .endif
 
@@ -138,6 +146,14 @@ CONFIGURE_ARGS+=	--enable-mmap
 CONFIGURE_ARGS+=	--disable-mmap
 .endif
 
+.if !defined(WITHOUT_MONOLITHIC)
+CONFIGURE_ARGS+=	--enable-monolithic
+PLIST_SUB+=		MONOLITHIC=""
+.else
+CONFIGURE_ARGS+=	--disable-monolithic
+PLIST_SUB+=		MONOLITHIC="@comment "
+.endif
+
 .if !defined(WITHOUT_PLASMAMULE)
 CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=${KDE4_PREFIX}/bin/kde4-config
 CONFIGURE_ARGS+=	--enable-plasmamule
@@ -163,6 +179,14 @@ CONFIGURE_ARGS+=	--disable-webserver
 PLIST_SUB+=		WEBSERVER="@comment "
 .endif
 
+.if !defined(WITHOUT_WXCAS)
+CONFIGURE_ARGS+=	--enable-wxcas
+PLIST_SUB+=		WXCAS=""
+.else
+CONFIGURE_ARGS+=	--disable-wxcas
+PLIST_SUB+=		WXCAS="@comment "
+.endif
+
 .if !defined(WITHOUT_WXUNICODE)
 WX_UNICODE=		yes
 .endif
@@ -183,7 +207,8 @@ post-patch:	.SILENT
 		-e 's/test.*-print-file-name.*`/true/' \
 		${WRKSRC}/configure
 .if defined(NOPORTDOCS)
-	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' ${WRKSRC}/docs/Makefile.in
+	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' \
+		${WRKSRC}/docs/Makefile.in
 .endif
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
Index: net-p2p/amule/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/Makefile.man,v
retrieving revision 1.6
diff -u -p -r1.6 Makefile.man
--- net-p2p/amule/Makefile.man	13 Aug 2010 13:18:23 -0000	1.6
+++ net-p2p/amule/Makefile.man	23 Sep 2010 08:13:00 -0000
@@ -3,15 +3,25 @@ MANLANG=	"" de es eu fr hu it
 #MANCOMPRESSED=	no
 
 .if !defined(WITHOUT_NLS)
+. if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
+. endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1 alcc.1
-MAN1_DE+=	alc.1 alcc.1
-MAN1_ES+=	alc.1 alcc.1
-MAN1_EU+=	alc.1 alcc.1
+MAN1_EN+=	alc.1
+MAN1_DE+=	alc.1
+MAN1_ES+=	alc.1
+MAN1_EU+=	alc.1
+MAN1_HU+=	alc.1
+MAN1_IT+=	alc.1
+. endif
+. if !defined(WITHOUT_ALCC)
+MAN1_EN+=	alcc.1
+MAN1_DE+=	alcc.1
+MAN1_ES+=	alcc.1
+MAN1_EU+=	alcc.1
 MAN1_FR+=	alcc.1
-MAN1_HU+=	alc.1 alcc.1
-MAN1_IT+=	alc.1 alcc.1
+MAN1_HU+=	alcc.1
+MAN1_IT+=	alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -27,12 +37,12 @@ MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1 wxcas.1
-MAN1_DE+=	cas.1 wxcas.1
-MAN1_ES+=	cas.1 wxcas.1
-MAN1_EU+=	cas.1 wxcas.1
-MAN1_HU+=	cas.1 wxcas.1
-MAN1_IT+=	cas.1 wxcas.1
+MAN1_EN+=	cas.1
+MAN1_DE+=	cas.1
+MAN1_ES+=	cas.1
+MAN1_EU+=	cas.1
+MAN1_HU+=	cas.1
+MAN1_IT+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -40,6 +50,14 @@ MAN1+=		ed2k.1
 . if !defined(WITHOUT_WEBSERVER)
 MAN1+=		amuleweb.1
 . endif
+. if !defined(WITHOUT_WXCAS)
+MAN1_EN+=	wxcas.1
+MAN1_DE+=	wxcas.1
+MAN1_ES+=	wxcas.1
+MAN1_EU+=	wxcas.1
+MAN1_HU+=	wxcas.1
+MAN1_IT+=	wxcas.1
+. endif
 .endif # !WITHOUT_NLS
 
 .if !defined(WITHOUT_XAS)
Index: net-p2p/amule/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/distinfo,v
retrieving revision 1.15
diff -u -p -r1.15 distinfo
--- net-p2p/amule/distinfo	3 Sep 2010 14:10:01 -0000	1.15
+++ net-p2p/amule/distinfo	1 Oct 2010 08:56:07 -0000
@@ -1,3 +1,3 @@
-MD5 (amule-svn-r10275.tar.gz) = 892753e2ce41c0be0c47c2168fc2415d
-SHA256 (amule-svn-r10275.tar.gz) = 24807b9ce7cfdd311a96feb988a8580b93570746ba957035dba8112532f7119b
-SIZE (amule-svn-r10275.tar.gz) = 5950845
+MD5 (aMule-SVN-r10305.tar.bz2) = 86bf1474af7acb097843e4521d2774de
+SHA256 (aMule-SVN-r10305.tar.bz2) = d0bfc9667c4528510e1690c3d7b903c912386e16451ef552a9b9e02112319ff9
+SIZE (aMule-SVN-r10305.tar.bz2) = 4506472
Index: net-p2p/amule/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/pkg-plist,v
retrieving revision 1.15
diff -u -p -r1.15 pkg-plist
--- net-p2p/amule/pkg-plist	13 Aug 2010 13:18:23 -0000	1.15
+++ net-p2p/amule/pkg-plist	23 Sep 2010 08:13:32 -0000
@@ -15,8 +15,8 @@
 %%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
 %%PLASMAMULE%%@cwd
 %%ALC%%bin/alc
-%%ALC%%bin/alcc
-bin/amule
+%%ALCC%%bin/alcc
+%%MONOLITHIC%%bin/amule
 %%AMULECMD%%bin/amulecmd
 %%AMULEDAEMON%%bin/amuled
 %%AMULEGUI%%bin/amulegui
@@ -24,7 +24,7 @@ bin/amule
 %%XAS%%bin/autostart-xas
 %%CAS%%bin/cas
 %%ED2K%%bin/ed2k
-%%CAS%%bin/wxcas
+%%WXCAS%%bin/wxcas
 %%XAS%%lib/xchat/plugins/xas.pl
 %%DATADIR%%/skins/Mac_Gray.zip
 %%DATADIR%%/skins/gnome.zip
@@ -101,9 +101,9 @@ bin/amule
 %%WEBSERVER%%%%DATADIR%%/webserver/default/up.png
 %%WEBSERVER%%%%DATADIR%%/webserver/default/yellow.gif
 %%ALC%%share/applications/alc.desktop
-share/applications/amule.desktop
+%%MONOLITHIC%%share/applications/amule.desktop
 %%AMULEGUI%%share/applications/amulegui.desktop
-%%CAS%%share/applications/wxcas.desktop
+%%WXCAS%%share/applications/wxcas.desktop
 %%CAS%%share/cas/stat.png
 %%CAS%%share/cas/tmp.html
 %%NLS%%share/locale/ar/LC_MESSAGES/amule.mo
@@ -144,9 +144,9 @@ share/applications/amule.desktop
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/amule.mo
 %%ALC%%share/pixmaps/alc.xpm
-share/pixmaps/amule.xpm
+%%MONOLITHIC%%share/pixmaps/amule.xpm
 %%AMULEGUI%%share/pixmaps/amulegui.xpm
-%%CAS%%share/pixmaps/wxcas.xpm
+%%WXCAS%%share/pixmaps/wxcas.xpm
 %%XAS%%@dirrmtry lib/xchat/plugins
 %%XAS%%@dirrmtry lib/xchat
 @dirrmtry man/de/man1
--- a.diff ends here ---
Comment 9 Philip M. Gollucci 2010-10-05 02:40:15 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm confused now

$ /pr/net-p2p (master)
ls -ld amule*
drwxrwxr-x  4 pgollucci  wheel  -    9B Oct  5 00:07:03 2010 amule/
drwxr-xr-x  4 pgollucci  wheel  -    9B Sep 14 03:59:17 2010 amule2/

Is that what you want which amule2 being deprecated?

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.16 (FreeBSD)

iD8DBQFMqoH/dbiP+9ubjBwRAmbVAJ9c0A99qwf04Fu4PNpP0otEif+94wCfaamK
EnizCyrtY+QdhBiuX6djjNc=
=xqLA
-----END PGP SIGNATURE-----
Comment 10 swell.k 2010-10-05 14:59:29 UTC
"Philip M. Gollucci" <pgollucci@p6m7g8.com> writes:

> I'm confused now
>
> $ /pr/net-p2p (master)
> ls -ld amule*
> drwxrwxr-x  4 pgollucci  wheel  -    9B Oct  5 00:07:03 2010 amule/
> drwxr-xr-x  4 pgollucci  wheel  -    9B Sep 14 03:59:17 2010 amule2/
>
> Is that what you want which amule2 being deprecated?

net-p2p/amule2 should be removed.

- there was only *one* latest release since net-p2p/amule1 expired
- svn snapshot doesn't have a release version prefix

  $ amule --version
  aMule SVN compiled with wxGTK2 v2.8.10 (Snapshot: rev. 10305) (OS: FreeBSD)

Also note, the person confused agrees[1] svn snapshot should use
amule-devel[2] port. And to not waste amule2 -> amule repocopy I can
revert it back to latest release.

  net-p2p/amule2 +- net-p2p/amule (release)
                  \ net-p2p/amule-devel (snapshot)

With ports/149021 it looked more like I hijacked the port for my needs
without going through port's expiration cycle because I used only snapshots.

A quick patch for the split is attached. To review non-devel port use

  $ diff -urN net-p2p/amule net-p2p/amule-devel | less # http://pastebin.com/Cm9kL3B3

[1] http://docs.freebsd.org/cgi/mid.cgi?AANLkTikaAsKKYAKVi15AFCMy0gNYRDuZ785pOTpv6K3p
[2] it'd require renaming the PR to 'split to -devel and non-devel ports'
    and requesting another repocopy from portmgr@

--- a.diff begins here ---
 - split amule ports to -devel and non-devel
 - update -devel port to r10305

PR:	ports/150985
---
 MOVED                                                        |    1 
 net-p2p/Makefile                                             |    3 
 net-p2p/amule-devel/Makefile                                 |   71 +-
 net-p2p/amule-devel/Makefile.man                             |   42 +
 net-p2p/amule-devel/distinfo                                 |    6 
 net-p2p/amule-devel/pkg-plist                                |   15 
 net-p2p/amule/Makefile                                       |   97 +--
 net-p2p/amule/Makefile.man                                   |   41 -
 net-p2p/amule/distinfo                                       |    6 
 net-p2p/amule/files/patch-src-utils-wxCas-src-wxcasframe.cpp |   16 
 net-p2p/amule/pkg-plist                                      |  313 ++++++++---
 net-p2p/amule2/Makefile                                      |  203 -------
 net-p2p/amule2/Makefile.man                                  |   52 -
 net-p2p/amule2/distinfo                                      |    3 
 net-p2p/amule2/files/amuled.sh.in                            |   69 --
 net-p2p/amule2/pkg-descr                                     |    6 
 net-p2p/amule2/pkg-plist                                     |  179 ------
 17 files changed, 414 insertions(+), 709 deletions(-)

Index: MOVED
===================================================================
RCS file: /a/.cvsup/ports/MOVED,v
retrieving revision 1.2272
diff -u -p -r1.2272 MOVED
--- MOVED	4 Oct 2010 07:15:11 -0000	1.2272
+++ MOVED	5 Oct 2010 13:02:43 -0000
@@ -2923,6 +2923,7 @@ net-im/gaim-hotkeys|net-im/pidgin-hotkey
 devel/ruby-inline||2007-05-28|Has expired: New versions only available in rubygems. Use devel/rubygem-inline instead
 devel/tkref||2007-05-28|Has expired: is seriously outdated, take a look at http://www.tcl.tk/doc/ for TCL/TK documentation
 net-p2p/amule1||2007-05-28|Has expired: use net-p2p/amule2 if you are running OSVERSION > 500000
+net-p2p/amule2|net-p2p/amule|2010-10-05|Split to -devel and non-devel ports
 games/marathon-evil||2007-05-28|Has expired: Installed by games/alephone-scenarios with wrapper script
 games/marathon2-data||2007-05-28|Has expired: Installed by games/alephone-data with wrapper script
 net-im/tik||2007-05-28|Has expired: uses the old and unsupported TOC protocol, use net-im/aim or net-im/gaim instead
Index: net-p2p/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/Makefile,v
retrieving revision 1.91
diff -u -p -r1.91 Makefile
--- net-p2p/Makefile	1 Oct 2010 13:45:46 -0000	1.91
+++ net-p2p/Makefile	5 Oct 2010 12:17:39 -0000
@@ -3,7 +3,8 @@
 
     COMMENT = peer-to-peer network applications
 
-    SUBDIR += amule2
+    SUBDIR += amule
+    SUBDIR += amule-devel
     SUBDIR += apollon
     SUBDIR += azureus
     SUBDIR += azureus2
Index: net-p2p/amule/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/Makefile,v
retrieving revision 1.41
diff -u -p -r1.41 Makefile
--- net-p2p/amule/Makefile	7 Sep 2010 15:52:17 -0000	1.41
+++ net-p2p/amule/Makefile	5 Oct 2010 13:51:22 -0000
@@ -1,4 +1,4 @@
-# New ports collection makefile for:	amule2
+# New ports collection makefile for:	amule
 # Date created:		Wed Nov 05 09:30:00 UTC 2003
 # Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.org>
 #
@@ -6,11 +6,10 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10275
+PORTVERSION=	2.2.6
 CATEGORIES=	net-p2p
-MASTER_SITES=	LOCAL/pav \
-		http://repo.or.cz/w/${PORTNAME}.git/snapshot/
-DISTNAME=	${PORTNAME}-svn-r${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}/aMule/${PORTVERSION}
+DISTNAME=	aMule-${PORTVERSION}
 
 MAINTAINER=	swell.k@gmail.com
 COMMENT=	The all-platform eMule p2p client
@@ -18,15 +17,11 @@ COMMENT=	The all-platform eMule p2p clie
 BUILD_DEPENDS=	${FLEX}:${PORTSDIR}/textproc/flex \
 		${LOCALBASE}/lib/libcryptopp.a:${PORTSDIR}/security/cryptopp
 
-LATEST_LINK=	amule2
-CONFLICTS=	aMule-[0-9]* aMule-devel-[0-9]* ed2k-hash-[0-9]*
-
-WRKSRC=		${WRKDIR}/${PORTNAME}
+CONFLICTS=	amule-devel-[0-9]*
 
+USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -34,25 +29,25 @@ CONFIGURE_ARGS=	--with-denoise-level=0
 
 CONFIGURE_ENV=	LEX="${FLEX}" PKG_CONFIG="${PKG_CONFIG}" \
 		docdir='$${prefix}/${DOCSDIR_REL}' \
-		LDFLAGS="${LDFLAGS}"
+		CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 CFLAGS+=	${PTHREAD_CFLAGS}
 LDFLAGS+=	${PTHREAD_LIBS} -L${LOCALBASE}/lib
 
-OPTIONS=	ALC "Compile aMule Link Creator (+GUI)" on \
+OPTIONS=	ALC "Compile aMule Link Creator for GUI" on \
+		ALCC "Compile aMule Link Creator for console" on \
 		AMULECMD "Compile aMule command line client" on \
 		AMULEDAEMON "Compile aMule daemon version" on \
 		AMULEGUI "Compile aMule remote GUI (EXPERIMENTAL)" on \
-		CAS "Compile C aMule Statistics (+GUI)" on \
+		CAS "Compile aMule Statistics for console" on \
 		ED2K "Compile aMule ed2k links handler" on \
 		GEOIP "Enable GeoIP IP2Country support" off \
-		MMAP "Enable using mapped memory" off \
-		PLASMAMULE "Compile aMule plasma applet and engine" off \
+		MONOLITHIC "Compile monolithic aMule" on \
 		UPNP "Enable Universal Plug and Play support" off \
 		WEBSERVER "Compile aMule WebServer" on \
-		WXUNICODE "Enable Unicode support" on \
-		XAS "Install XChat2 plugin" on
+		WXCAS "Compile aMule Statistics for GUI" on \
+		WXUNICODE "Enable Unicode support" on
 
 PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
 		ED2K-Links.HOWTO INSTALL README TODO \
@@ -76,13 +71,21 @@ PLIST_SUB+=	NLS="@comment "
 .endif
 
 .if !defined(WITHOUT_ALC)
-CONFIGURE_ARGS+=	--enable-alc --enable-alcc
+CONFIGURE_ARGS+=	--enable-alc
 PLIST_SUB+=		ALC=""
 .else
-CONFIGURE_ARGS+=	--disable-alc --disable-alcc
+CONFIGURE_ARGS+=	--disable-alc
 PLIST_SUB+=		ALC="@comment "
 .endif
 
+.if !defined(WITHOUT_ALCC)
+CONFIGURE_ARGS+=	--enable-alcc
+PLIST_SUB+=		ALCC=""
+.else
+CONFIGURE_ARGS+=	--disable-alcc
+PLIST_SUB+=		ALCC="@comment "
+.endif
+
 .if !defined(WITHOUT_AMULECMD)
 CONFIGURE_ARGS+=	--enable-amulecmd
 PLIST_SUB+=		AMULECMD=""
@@ -109,15 +112,16 @@ PLIST_SUB+=		AMULEGUI="@comment "
 .endif
 
 .if !defined(WITHOUT_CAS)
-CONFIGURE_ARGS+=	--enable-cas --enable-wxcas
+CONFIGURE_ARGS+=	--enable-cas
 LIB_DEPENDS+=		gd.4:${PORTSDIR}/graphics/gd
 PLIST_SUB+=		CAS=""
 .else
-CONFIGURE_ARGS+=	--disable-cas --disable-wxcas
+CONFIGURE_ARGS+=	--disable-cas
 PLIST_SUB+=		CAS="@comment "
 .endif
 
 .if !defined(WITHOUT_ED2K)
+CONFLICTS+=		ed2k-hash-[0-9]*
 CONFIGURE_ARGS+=	--enable-ed2k
 PLIST_SUB+=		ED2K=""
 .else
@@ -132,21 +136,12 @@ LIB_DEPENDS+=		GeoIP.5:${PORTSDIR}/net/G
 CONFIGURE_ARGS+=	--disable-geoip
 .endif
 
-.if !defined(WITHOUT_MMAP)
-CONFIGURE_ARGS+=	--enable-mmap
+.if !defined(WITHOUT_MONOLITHIC)
+CONFIGURE_ARGS+=	--enable-monolithic
+PLIST_SUB+=		MONOLITHIC=""
 .else
-CONFIGURE_ARGS+=	--disable-mmap
-.endif
-
-.if !defined(WITHOUT_PLASMAMULE)
-CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=${KDE4_PREFIX}/bin/kde4-config
-CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
-QT_COMPONENTS+=		dbus gui moc_build
-PLIST_SUB+=		PLASMAMULE=""
-.else
-CONFIGURE_ARGS+=	--disable-plasmamule
-PLIST_SUB+=		PLASMAMULE="@comment "
+CONFIGURE_ARGS+=	--disable-monolithic
+PLIST_SUB+=		MONOLITHIC="@comment "
 .endif
 
 .if !defined(WITHOUT_UPNP)
@@ -163,16 +158,16 @@ CONFIGURE_ARGS+=	--disable-webserver
 PLIST_SUB+=		WEBSERVER="@comment "
 .endif
 
-.if !defined(WITHOUT_WXUNICODE)
-WX_UNICODE=		yes
+.if !defined(WITHOUT_WXCAS)
+CONFIGURE_ARGS+=	--enable-wxcas
+PLIST_SUB+=		WXCAS=""
+.else
+CONFIGURE_ARGS+=	--disable-wxcas
+PLIST_SUB+=		WXCAS="@comment "
 .endif
 
-.if !defined(WITHOUT_XAS)
-CONFIGURE_ARGS+=	--enable-xas
-PLIST_SUB+=		XAS=""
-.else
-CONFIGURE_ARGS+=	--disable-xas
-PLIST_SUB+=		XAS="@comment "
+.if !defined(WITHOUT_WXUNICODE)
+WX_UNICODE=		yes
 .endif
 
 # Man pages management
@@ -183,21 +178,11 @@ post-patch:	.SILENT
 		-e 's/test.*-print-file-name.*`/true/' \
 		${WRKSRC}/configure
 .if defined(NOPORTDOCS)
-	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' ${WRKSRC}/docs/Makefile.in
-.endif
-.if !defined(WITHOUT_PLASMAMULE)
-	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
-		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
-		-e 's/\(plasmamule_so_\)LDFLAGS/\1CXXFLAGS/' \
-		${WRKSRC}/src/utils/plasmamule/Makefile.in
+	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' \
+		${WRKSRC}/docs/Makefile.in
 .endif
 
 post-install:
-.if !defined(WITHOUT_PLASMAMULE)
-	-update-desktop-database ${KDE4_PREFIX}/share/applications
-	-update-mime-database ${KDE4_PREFIX}/share/mime
-.endif
 	-update-desktop-database ${PREFIX}/share/applications
 
 .include <bsd.port.post.mk>
Index: net-p2p/amule/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/Makefile.man,v
retrieving revision 1.6
diff -u -p -r1.6 Makefile.man
--- net-p2p/amule/Makefile.man	13 Aug 2010 13:18:23 -0000	1.6
+++ net-p2p/amule/Makefile.man	5 Oct 2010 11:57:46 -0000
@@ -3,15 +3,23 @@ MANLANG=	"" de es eu fr hu it
 #MANCOMPRESSED=	no
 
 .if !defined(WITHOUT_NLS)
+. if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
+. endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1 alcc.1
-MAN1_DE+=	alc.1 alcc.1
-MAN1_ES+=	alc.1 alcc.1
-MAN1_EU+=	alc.1 alcc.1
+MAN1_EN+=	alc.1
+MAN1_DE+=	alc.1
+MAN1_ES+=	alc.1
+MAN1_EU+=	alc.1
+MAN1_HU+=	alc.1
+. endif
+. if !defined(WITHOUT_ALCC)
+MAN1_EN+=	alcc.1
+MAN1_DE+=	alcc.1
+MAN1_ES+=	alcc.1
+MAN1_EU+=	alcc.1
 MAN1_FR+=	alcc.1
-MAN1_HU+=	alc.1 alcc.1
-MAN1_IT+=	alc.1 alcc.1
+MAN1_HU+=	alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -22,17 +30,14 @@ MAN1+=		amuled.1
 . if !defined(WITHOUT_AMULEGUI)
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
-MAN1_ES+=	amulegui.1
-MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1 wxcas.1
-MAN1_DE+=	cas.1 wxcas.1
-MAN1_ES+=	cas.1 wxcas.1
-MAN1_EU+=	cas.1 wxcas.1
-MAN1_HU+=	cas.1 wxcas.1
-MAN1_IT+=	cas.1 wxcas.1
+MAN1_EN+=	cas.1
+MAN1_DE+=	cas.1
+MAN1_ES+=	cas.1
+MAN1_EU+=	cas.1
+MAN1_HU+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -40,6 +45,13 @@ MAN1+=		ed2k.1
 . if !defined(WITHOUT_WEBSERVER)
 MAN1+=		amuleweb.1
 . endif
+. if !defined(WITHOUT_WXCAS)
+MAN1_EN+=	wxcas.1
+MAN1_DE+=	wxcas.1
+MAN1_ES+=	wxcas.1
+MAN1_EU+=	wxcas.1
+MAN1_HU+=	wxcas.1
+. endif
 .endif # !WITHOUT_NLS
 
 .if !defined(WITHOUT_XAS)
@@ -48,5 +60,4 @@ MAN1_DE+=	xas.1
 MAN1_ES+=	xas.1
 MAN1_EU+=	xas.1
 MAN1_HU+=	xas.1
-MAN1_IT+=	xas.1
 .endif
Index: net-p2p/amule/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/distinfo,v
retrieving revision 1.15
diff -u -p -r1.15 distinfo
--- net-p2p/amule/distinfo	3 Sep 2010 14:10:01 -0000	1.15
+++ net-p2p/amule/distinfo	5 Oct 2010 11:12:35 -0000
@@ -1,3 +1,3 @@
-MD5 (amule-svn-r10275.tar.gz) = 892753e2ce41c0be0c47c2168fc2415d
-SHA256 (amule-svn-r10275.tar.gz) = 24807b9ce7cfdd311a96feb988a8580b93570746ba957035dba8112532f7119b
-SIZE (amule-svn-r10275.tar.gz) = 5950845
+MD5 (aMule-2.2.6.tar.bz2) = 530d9b48187e36f78fc21bb19e94326d
+SHA256 (aMule-2.2.6.tar.bz2) = 6ce32b5f1d8113a224a8e850639d957656623a04a73fb83d52313c06c3488122
+SIZE (aMule-2.2.6.tar.bz2) = 4722143
Index: net-p2p/amule/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule/pkg-plist,v
retrieving revision 1.15
diff -u -p -r1.15 pkg-plist
--- net-p2p/amule/pkg-plist	13 Aug 2010 13:18:23 -0000	1.15
+++ net-p2p/amule/pkg-plist	5 Oct 2010 11:58:00 -0000
@@ -1,109 +1,252 @@
-%%PLASMAMULE%%@cwd %%KDE4_PREFIX%%
-%%PLASMAMULE%%bin/plasmamule-engine-feeder
-%%PLASMAMULE%%lib/kde4/plasma-applet-plasmamule.so
-%%PLASMAMULE%%lib/kde4/plasma-engine-plasmamule.so
-%%PLASMAMULE%%share/applications/plasmamule-engine-feeder.desktop
-%%PLASMAMULE%%share/icons/hicolor/scalable/mimetypes/application-x-emulecollection.svg
-%%PLASMAMULE%%share/kde4/services/ed2k.protocol
-%%PLASMAMULE%%share/kde4/services/magnet.protocol
-%%PLASMAMULE%%share/kde4/services/plasma-applet-plasmamule.desktop
-%%PLASMAMULE%%share/kde4/services/plasma-engine-plasmamule.desktop
-%%PLASMAMULE%%share/mime/amule.xml
-%%PLASMAMULE%%@exec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
-%%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
-%%PLASMAMULE%%@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
-%%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
-%%PLASMAMULE%%@cwd
 %%ALC%%bin/alc
-%%ALC%%bin/alcc
-bin/amule
+%%ALCC%%bin/alcc
+%%MONOLITHIC%%bin/amule
 %%AMULECMD%%bin/amulecmd
 %%AMULEDAEMON%%bin/amuled
 %%AMULEGUI%%bin/amulegui
 %%WEBSERVER%%bin/amuleweb
-%%XAS%%bin/autostart-xas
+bin/autostart-xas
 %%CAS%%bin/cas
 %%ED2K%%bin/ed2k
-%%CAS%%bin/wxcas
-%%XAS%%lib/xchat/plugins/xas.pl
-%%DATADIR%%/skins/Mac_Gray.zip
+%%WXCAS%%bin/wxcas
+lib/xchat/plugins/xas.pl
 %%DATADIR%%/skins/gnome.zip
 %%DATADIR%%/skins/kde4.zip
-%%DATADIR%%/skins/priscilla.zip
 %%DATADIR%%/skins/tango.zip
 %%DATADIR%%/skins/xfce.zip
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-dload.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-kad.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-log.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-prefs.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-search.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-servers.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-shared.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-stats.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/aMule.tmpl
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/add_server.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/arrow_down.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/arrow_down_logout.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/arrow_right.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/arrow_up.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/back.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/black.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/blank1x1.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/blue1.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/blue2.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/blue3.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/blue4.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/blue5.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/blue6.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/cp_download.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/cp_kad.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/cp_search.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/cp_servers.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/cp_settings.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/cp_shared.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/cp_stats.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/downloads.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/emule.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/favicon.ico
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/green.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/greenpercent.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/index.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_cancel.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_connect.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_down.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_ed2klink.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_info.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_pause.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_resume.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/l_up.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/log.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login_bottom.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login_downmain.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login_lefttop.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login_righttop.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login_top.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login_topdown.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/login_topseperator.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/logo.jpg
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/main_bg.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/main_top_bg.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/main_topbar.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/main_topbardarker.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/main_topbarseperator.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/phpamule.png
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/preferences.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/red.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/search.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/servers.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/shared.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/stat_graphs.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/stat_tree.php
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/transparent.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/tree-closed.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/tree-leaf.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/tree-open.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/chicane/yellow.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/aMule.tmpl
+%%WEBSERVER%%%%DATADIR%%/webserver/default/add_server.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/arrow_down.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/arrow_right.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/arrow_up.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/back.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/black.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blank1x1.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/blue1.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/blue2.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/blue3.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/blue4.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/blue5.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/blue6.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/cancel.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/close.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/col.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/connect.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/down.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/edkserv_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/edkserv_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/default/cp_download.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/cp_kad.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/cp_search.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/cp_servers.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/cp_settings.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/cp_shared.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/cp_stats.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/downloads.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/emule.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/favicon.ico
-%%WEBSERVER%%%%DATADIR%%/webserver/default/filter.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/fond.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/fond_haut.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/footer.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/index.html
-%%WEBSERVER%%%%DATADIR%%/webserver/default/log.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/green.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/greenpercent.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/index.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_cancel.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_connect.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_down.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_ed2klink.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_info.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_pause.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_resume.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/l_up.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/default/log.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/login.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginfond.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginfond_haut.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginlogo.jpg
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginlogo.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/logo.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/maquette.dwt
-%%WEBSERVER%%%%DATADIR%%/webserver/default/ok.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/pause.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/play.png
+%%WEBSERVER%%%%DATADIR%%/webserver/default/logo.jpg
+%%WEBSERVER%%%%DATADIR%%/webserver/default/phpamule.png
+%%WEBSERVER%%%%DATADIR%%/webserver/default/preferences.php
 %%WEBSERVER%%%%DATADIR%%/webserver/default/red.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/refresh.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/search_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/search_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/shared_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/shared_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/sheserv_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/sheserv_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats_tree.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/style.css
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_bottom.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_bottom_left.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_bottom_right.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_left.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_right.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_top.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_top_left.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_top_right.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/transf_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/transf_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/default/search.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/servers.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/shared.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/stat_graphs.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/stat_tree.php
+%%WEBSERVER%%%%DATADIR%%/webserver/default/transparent.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/tree-closed.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/tree-leaf.gif
 %%WEBSERVER%%%%DATADIR%%/webserver/default/tree-open.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/up.png
 %%WEBSERVER%%%%DATADIR%%/webserver/default/yellow.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-dload.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-kad.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-log.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-prefs.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-search.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-servers.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-shared.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/amuleweb-main-stats.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/black.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/blank1x1.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/blue1.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/blue2.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/blue3.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/blue4.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/blue5.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/blue6.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/cancel.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/close.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/col.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/connect.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/down.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/edkserv_0.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/edkserv_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/favicon.ico
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/filter.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/fond.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/fond_haut.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/footer.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/index.html
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/kitty.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/log.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/login.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/loginfond.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/loginfond_haut.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/loginlogo.jpg
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/loginlogo.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/logo.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/maquette.dwt
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/ok.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/pause.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/play.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/red.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/refresh.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/search_0.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/search_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/shared_0.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/shared_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/sheserv_0.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/sheserv_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/stats.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/stats_0.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/stats_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/stats_tree.php
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/style.css
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_bottom.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_bottom_left.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_bottom_right.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_left.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_right.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_top.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_top_left.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tab_top_right.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/transf_0.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/transf_1.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tree-closed.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tree-leaf.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/tree-open.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/up.png
+%%WEBSERVER%%%%DATADIR%%/webserver/litoral/yellow.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/amuleweb-main-dload.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/amuleweb-main-kad.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/amuleweb-main-prefs.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/amuleweb-main-search.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/amuleweb-main-servers.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/amuleweb-main-shared.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/amuleweb-main-stats.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/apply.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/arrow-r.png
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/cancel.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/connect.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/delete.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/down.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/favicon.ico
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/footer.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/index.html
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/login.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/pause.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/phpamule.png
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/resume.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/stats.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/stats_tree.php
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-connect.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-download-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-download.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-filter.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-kad-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-kad.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-logout-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-logout.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-reload.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-search-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-search.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-servers-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-servers.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-settings-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-settings.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-shared-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-shared.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-stats-pressed.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/toolbutton-stats.jpeg
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/top.html
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/tree-closed.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/tree-leaf.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/tree-open.gif
+%%WEBSERVER%%%%DATADIR%%/webserver/php-default/up.jpeg
 %%ALC%%share/applications/alc.desktop
-share/applications/amule.desktop
+%%MONOLITHIC%%share/applications/amule.desktop
 %%AMULEGUI%%share/applications/amulegui.desktop
-%%CAS%%share/applications/wxcas.desktop
+%%WXCAS%%share/applications/wxcas.desktop
 %%CAS%%share/cas/stat.png
 %%CAS%%share/cas/tmp.html
 %%NLS%%share/locale/ar/LC_MESSAGES/amule.mo
@@ -134,7 +277,6 @@ share/applications/amule.desktop
 %%NLS%%share/locale/pl/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/pt_PT/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/ro/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/sq/LC_MESSAGES/amule.mo
@@ -144,11 +286,11 @@ share/applications/amule.desktop
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/amule.mo
 %%ALC%%share/pixmaps/alc.xpm
-share/pixmaps/amule.xpm
+%%MONOLITHIC%%share/pixmaps/amule.xpm
 %%AMULEGUI%%share/pixmaps/amulegui.xpm
-%%CAS%%share/pixmaps/wxcas.xpm
-%%XAS%%@dirrmtry lib/xchat/plugins
-%%XAS%%@dirrmtry lib/xchat
+%%WXCAS%%share/pixmaps/wxcas.xpm
+@dirrmtry lib/xchat/plugins
+@dirrmtry lib/xchat
 @dirrmtry man/de/man1
 @dirrmtry man/de
 @dirrmtry man/es/man1
@@ -162,7 +304,10 @@ share/pixmaps/amule.xpm
 @dirrmtry man/it/man1
 @dirrmtry man/it
 @dirrm %%DATADIR%%/skins
+%%WEBSERVER%%@dirrm %%DATADIR%%/webserver/chicane
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
+%%WEBSERVER%%@dirrm %%DATADIR%%/webserver/litoral
+%%WEBSERVER%%@dirrm %%DATADIR%%/webserver/php-default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver
 @dirrm %%DATADIR%%
 @dirrmtry share/applications
Index: net-p2p/amule/files/patch-src-utils-wxCas-src-wxcasframe.cpp
===================================================================
RCS file: net-p2p/amule/files/patch-src-utils-wxCas-src-wxcasframe.cpp
diff -N net-p2p/amule/files/patch-src-utils-wxCas-src-wxcasframe.cpp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ net-p2p/amule/files/patch-src-utils-wxCas-src-wxcasframe.cpp	2 Jul 2010 16:27:48 -0000
@@ -0,0 +1,16 @@
+--- src/utils/wxCas/src/wxcasframe.cpp~
++++ src/utils/wxCas/src/wxcasframe.cpp
+@@ -285,11 +285,11 @@ WxCasFrame::GetStatImage () const
+ #ifdef __WXMSW__
+ 
+ 	memdc.
+-	SetFont ( wxFont::wxFont ( 6, wxSWISS, wxNORMAL, wxBOLD ) );
++	SetFont ( wxFont ( 6, wxSWISS, wxNORMAL, wxBOLD ) );
+ #else
+ 
+ 	memdc.
+-	SetFont ( wxFont::wxFont ( 8, wxSWISS, wxNORMAL, wxBOLD ) );
++	SetFont ( wxFont ( 8, wxSWISS, wxNORMAL, wxBOLD ) );
+ #endif
+ 
+ 	memdc.
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.41
diff -u -p -r1.41 Makefile
--- net-p2p/amule-devel/Makefile	7 Sep 2010 15:52:17 -0000	1.41
+++ net-p2p/amule-devel/Makefile	5 Oct 2010 13:49:35 -0000
@@ -1,4 +1,4 @@
-# New ports collection makefile for:	amule2
+# New ports collection makefile for:	amule-devel
 # Date created:		Wed Nov 05 09:30:00 UTC 2003
 # Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.org>
 #
@@ -6,11 +6,11 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10275
+PORTVERSION=	10305
 CATEGORIES=	net-p2p
-MASTER_SITES=	LOCAL/pav \
-		http://repo.or.cz/w/${PORTNAME}.git/snapshot/
-DISTNAME=	${PORTNAME}-svn-r${PORTVERSION}
+MASTER_SITES=	http://amule.sourceforge.net/tarballs/
+PKGNAMESUFFIX=	-devel
+DISTNAME=	aMule-SVN-r${PORTVERSION}
 
 MAINTAINER=	swell.k@gmail.com
 COMMENT=	The all-platform eMule p2p client
@@ -18,11 +18,9 @@ COMMENT=	The all-platform eMule p2p clie
 BUILD_DEPENDS=	${FLEX}:${PORTSDIR}/textproc/flex \
 		${LOCALBASE}/lib/libcryptopp.a:${PORTSDIR}/security/cryptopp
 
-LATEST_LINK=	amule2
-CONFLICTS=	aMule-[0-9]* aMule-devel-[0-9]* ed2k-hash-[0-9]*
-
-WRKSRC=		${WRKDIR}/${PORTNAME}
+CONFLICTS=	amule-[0-9]*
 
+USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
 USE_KDE4=	# empty
@@ -40,17 +38,21 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 CFLAGS+=	${PTHREAD_CFLAGS}
 LDFLAGS+=	${PTHREAD_LIBS} -L${LOCALBASE}/lib
 
-OPTIONS=	ALC "Compile aMule Link Creator (+GUI)" on \
+OPTIONS=	ALC "Compile aMule Link Creator for GUI" on \
+		ALCC "Compile aMule Link Creator for console" on \
 		AMULECMD "Compile aMule command line client" on \
 		AMULEDAEMON "Compile aMule daemon version" on \
 		AMULEGUI "Compile aMule remote GUI (EXPERIMENTAL)" on \
-		CAS "Compile C aMule Statistics (+GUI)" on \
+		CAS "Compile aMule Statistics for console" on \
 		ED2K "Compile aMule ed2k links handler" on \
+		FILEVIEW "Compile file viewer for console (EXPERIMENTAL)" on \
 		GEOIP "Enable GeoIP IP2Country support" off \
 		MMAP "Enable using mapped memory" off \
+		MONOLITHIC "Compile monolithic aMule" on \
 		PLASMAMULE "Compile aMule plasma applet and engine" off \
 		UPNP "Enable Universal Plug and Play support" off \
 		WEBSERVER "Compile aMule WebServer" on \
+		WXCAS "Compile aMule Statistics for GUI" on \
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
@@ -76,13 +78,21 @@ PLIST_SUB+=	NLS="@comment "
 .endif
 
 .if !defined(WITHOUT_ALC)
-CONFIGURE_ARGS+=	--enable-alc --enable-alcc
+CONFIGURE_ARGS+=	--enable-alc
 PLIST_SUB+=		ALC=""
 .else
-CONFIGURE_ARGS+=	--disable-alc --disable-alcc
+CONFIGURE_ARGS+=	--disable-alc
 PLIST_SUB+=		ALC="@comment "
 .endif
 
+.if !defined(WITHOUT_ALCC)
+CONFIGURE_ARGS+=	--enable-alcc
+PLIST_SUB+=		ALCC=""
+.else
+CONFIGURE_ARGS+=	--disable-alcc
+PLIST_SUB+=		ALCC="@comment "
+.endif
+
 .if !defined(WITHOUT_AMULECMD)
 CONFIGURE_ARGS+=	--enable-amulecmd
 PLIST_SUB+=		AMULECMD=""
@@ -109,15 +119,16 @@ PLIST_SUB+=		AMULEGUI="@comment "
 .endif
 
 .if !defined(WITHOUT_CAS)
-CONFIGURE_ARGS+=	--enable-cas --enable-wxcas
+CONFIGURE_ARGS+=	--enable-cas
 LIB_DEPENDS+=		gd.4:${PORTSDIR}/graphics/gd
 PLIST_SUB+=		CAS=""
 .else
-CONFIGURE_ARGS+=	--disable-cas --disable-wxcas
+CONFIGURE_ARGS+=	--disable-cas
 PLIST_SUB+=		CAS="@comment "
 .endif
 
 .if !defined(WITHOUT_ED2K)
+CONFLICTS+=		ed2k-hash-[0-9]*
 CONFIGURE_ARGS+=	--enable-ed2k
 PLIST_SUB+=		ED2K=""
 .else
@@ -125,6 +136,14 @@ CONFIGURE_ARGS+=	--disable-ed2k
 PLIST_SUB+=		ED2K="@comment "
 .endif
 
+.if !defined(WITHOUT_FILEVIEW)
+CONFIGURE_ARGS+=	--enable-fileview
+PLIST_SUB+=		FILEVIEW=""
+.else
+CONFIGURE_ARGS+=	--disable-fileview
+PLIST_SUB+=		FILEVIEW="@comment "
+.endif
+
 .if !defined(WITHOUT_GEOIP)
 CONFIGURE_ARGS+=	--enable-geoip
 LIB_DEPENDS+=		GeoIP.5:${PORTSDIR}/net/GeoIP
@@ -138,6 +157,14 @@ CONFIGURE_ARGS+=	--enable-mmap
 CONFIGURE_ARGS+=	--disable-mmap
 .endif
 
+.if !defined(WITHOUT_MONOLITHIC)
+CONFIGURE_ARGS+=	--enable-monolithic
+PLIST_SUB+=		MONOLITHIC=""
+.else
+CONFIGURE_ARGS+=	--disable-monolithic
+PLIST_SUB+=		MONOLITHIC="@comment "
+.endif
+
 .if !defined(WITHOUT_PLASMAMULE)
 CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=${KDE4_PREFIX}/bin/kde4-config
 CONFIGURE_ARGS+=	--enable-plasmamule
@@ -163,6 +190,14 @@ CONFIGURE_ARGS+=	--disable-webserver
 PLIST_SUB+=		WEBSERVER="@comment "
 .endif
 
+.if !defined(WITHOUT_WXCAS)
+CONFIGURE_ARGS+=	--enable-wxcas
+PLIST_SUB+=		WXCAS=""
+.else
+CONFIGURE_ARGS+=	--disable-wxcas
+PLIST_SUB+=		WXCAS="@comment "
+.endif
+
 .if !defined(WITHOUT_WXUNICODE)
 WX_UNICODE=		yes
 .endif
@@ -183,7 +218,8 @@ post-patch:	.SILENT
 		-e 's/test.*-print-file-name.*`/true/' \
 		${WRKSRC}/configure
 .if defined(NOPORTDOCS)
-	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' ${WRKSRC}/docs/Makefile.in
+	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' \
+		${WRKSRC}/docs/Makefile.in
 .endif
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
@@ -194,6 +230,9 @@ post-patch:	.SILENT
 .endif
 
 post-install:
+.if !defined(WITHOUT_FILEVIEW)
+	${INSTALL_PROGRAM} ${WRKSRC}/src/utils/fileview/mulefileview ${PREFIX}/bin
+.endif
 .if !defined(WITHOUT_PLASMAMULE)
 	-update-desktop-database ${KDE4_PREFIX}/share/applications
 	-update-mime-database ${KDE4_PREFIX}/share/mime
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.6
diff -u -p -r1.6 Makefile.man
--- net-p2p/amule-devel/Makefile.man	13 Aug 2010 13:18:23 -0000	1.6
+++ net-p2p/amule-devel/Makefile.man	23 Sep 2010 08:13:00 -0000
@@ -3,15 +3,25 @@ MANLANG=	"" de es eu fr hu it
 #MANCOMPRESSED=	no
 
 .if !defined(WITHOUT_NLS)
+. if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
+. endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1 alcc.1
-MAN1_DE+=	alc.1 alcc.1
-MAN1_ES+=	alc.1 alcc.1
-MAN1_EU+=	alc.1 alcc.1
+MAN1_EN+=	alc.1
+MAN1_DE+=	alc.1
+MAN1_ES+=	alc.1
+MAN1_EU+=	alc.1
+MAN1_HU+=	alc.1
+MAN1_IT+=	alc.1
+. endif
+. if !defined(WITHOUT_ALCC)
+MAN1_EN+=	alcc.1
+MAN1_DE+=	alcc.1
+MAN1_ES+=	alcc.1
+MAN1_EU+=	alcc.1
 MAN1_FR+=	alcc.1
-MAN1_HU+=	alc.1 alcc.1
-MAN1_IT+=	alc.1 alcc.1
+MAN1_HU+=	alcc.1
+MAN1_IT+=	alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -27,12 +37,12 @@ MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1 wxcas.1
-MAN1_DE+=	cas.1 wxcas.1
-MAN1_ES+=	cas.1 wxcas.1
-MAN1_EU+=	cas.1 wxcas.1
-MAN1_HU+=	cas.1 wxcas.1
-MAN1_IT+=	cas.1 wxcas.1
+MAN1_EN+=	cas.1
+MAN1_DE+=	cas.1
+MAN1_ES+=	cas.1
+MAN1_EU+=	cas.1
+MAN1_HU+=	cas.1
+MAN1_IT+=	cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -40,6 +50,14 @@ MAN1+=		ed2k.1
 . if !defined(WITHOUT_WEBSERVER)
 MAN1+=		amuleweb.1
 . endif
+. if !defined(WITHOUT_WXCAS)
+MAN1_EN+=	wxcas.1
+MAN1_DE+=	wxcas.1
+MAN1_ES+=	wxcas.1
+MAN1_EU+=	wxcas.1
+MAN1_HU+=	wxcas.1
+MAN1_IT+=	wxcas.1
+. endif
 .endif # !WITHOUT_NLS
 
 .if !defined(WITHOUT_XAS)
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.15
diff -u -p -r1.15 distinfo
--- net-p2p/amule-devel/distinfo	3 Sep 2010 14:10:01 -0000	1.15
+++ net-p2p/amule-devel/distinfo	1 Oct 2010 08:56:07 -0000
@@ -1,3 +1,3 @@
-MD5 (amule-svn-r10275.tar.gz) = 892753e2ce41c0be0c47c2168fc2415d
-SHA256 (amule-svn-r10275.tar.gz) = 24807b9ce7cfdd311a96feb988a8580b93570746ba957035dba8112532f7119b
-SIZE (amule-svn-r10275.tar.gz) = 5950845
+MD5 (aMule-SVN-r10305.tar.bz2) = 86bf1474af7acb097843e4521d2774de
+SHA256 (aMule-SVN-r10305.tar.bz2) = d0bfc9667c4528510e1690c3d7b903c912386e16451ef552a9b9e02112319ff9
+SIZE (aMule-SVN-r10305.tar.bz2) = 4506472
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.15
diff -u -p -r1.15 pkg-plist
--- net-p2p/amule-devel/pkg-plist	13 Aug 2010 13:18:23 -0000	1.15
+++ net-p2p/amule-devel/pkg-plist	5 Oct 2010 13:42:57 -0000
@@ -15,8 +15,8 @@
 %%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
 %%PLASMAMULE%%@cwd
 %%ALC%%bin/alc
-%%ALC%%bin/alcc
-bin/amule
+%%ALCC%%bin/alcc
+%%MONOLITHIC%%bin/amule
 %%AMULECMD%%bin/amulecmd
 %%AMULEDAEMON%%bin/amuled
 %%AMULEGUI%%bin/amulegui
@@ -24,7 +24,8 @@ bin/amule
 %%XAS%%bin/autostart-xas
 %%CAS%%bin/cas
 %%ED2K%%bin/ed2k
-%%CAS%%bin/wxcas
+%%FILEVIEW%%bin/mulefileview
+%%WXCAS%%bin/wxcas
 %%XAS%%lib/xchat/plugins/xas.pl
 %%DATADIR%%/skins/Mac_Gray.zip
 %%DATADIR%%/skins/gnome.zip
@@ -101,9 +102,9 @@ bin/amule
 %%WEBSERVER%%%%DATADIR%%/webserver/default/up.png
 %%WEBSERVER%%%%DATADIR%%/webserver/default/yellow.gif
 %%ALC%%share/applications/alc.desktop
-share/applications/amule.desktop
+%%MONOLITHIC%%share/applications/amule.desktop
 %%AMULEGUI%%share/applications/amulegui.desktop
-%%CAS%%share/applications/wxcas.desktop
+%%WXCAS%%share/applications/wxcas.desktop
 %%CAS%%share/cas/stat.png
 %%CAS%%share/cas/tmp.html
 %%NLS%%share/locale/ar/LC_MESSAGES/amule.mo
@@ -144,9 +145,9 @@ share/applications/amule.desktop
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/amule.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/amule.mo
 %%ALC%%share/pixmaps/alc.xpm
-share/pixmaps/amule.xpm
+%%MONOLITHIC%%share/pixmaps/amule.xpm
 %%AMULEGUI%%share/pixmaps/amulegui.xpm
-%%CAS%%share/pixmaps/wxcas.xpm
+%%WXCAS%%share/pixmaps/wxcas.xpm
 %%XAS%%@dirrmtry lib/xchat/plugins
 %%XAS%%@dirrmtry lib/xchat
 @dirrmtry man/de/man1
Index: net-p2p/amule2/Makefile
===================================================================
RCS file: net-p2p/amule2/Makefile
diff -N net-p2p/amule2/Makefile
--- net-p2p/amule2/Makefile	7 Sep 2010 15:52:17 -0000	1.41
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,203 +0,0 @@
-# New ports collection makefile for:	amule2
-# Date created:		Wed Nov 05 09:30:00 UTC 2003
-# Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.org>
-#
-# $FreeBSD: ports/net-p2p/amule2/Makefile,v 1.41 2010/09/07 15:52:17 pgollucci Exp $
-#
-
-PORTNAME=	amule
-PORTVERSION=	10275
-CATEGORIES=	net-p2p
-MASTER_SITES=	LOCAL/pav \
-		http://repo.or.cz/w/${PORTNAME}.git/snapshot/
-DISTNAME=	${PORTNAME}-svn-r${PORTVERSION}
-
-MAINTAINER=	swell.k@gmail.com
-COMMENT=	The all-platform eMule p2p client
-
-BUILD_DEPENDS=	${FLEX}:${PORTSDIR}/textproc/flex \
-		${LOCALBASE}/lib/libcryptopp.a:${PORTSDIR}/security/cryptopp
-
-LATEST_LINK=	amule2
-CONFLICTS=	aMule-[0-9]* aMule-devel-[0-9]* ed2k-hash-[0-9]*
-
-WRKSRC=		${WRKDIR}/${PORTNAME}
-
-USE_GNOME=	pkgconfig
-USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
-USE_WX=		2.8
-WX_CONF_ARGS=	absolute
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--with-denoise-level=0
-
-CONFIGURE_ENV=	LEX="${FLEX}" PKG_CONFIG="${PKG_CONFIG}" \
-		docdir='$${prefix}/${DOCSDIR_REL}' \
-		LDFLAGS="${LDFLAGS}"
-
-CPPFLAGS+=	-I${LOCALBASE}/include
-CFLAGS+=	${PTHREAD_CFLAGS}
-LDFLAGS+=	${PTHREAD_LIBS} -L${LOCALBASE}/lib
-
-OPTIONS=	ALC "Compile aMule Link Creator (+GUI)" on \
-		AMULECMD "Compile aMule command line client" on \
-		AMULEDAEMON "Compile aMule daemon version" on \
-		AMULEGUI "Compile aMule remote GUI (EXPERIMENTAL)" on \
-		CAS "Compile C aMule Statistics (+GUI)" on \
-		ED2K "Compile aMule ed2k links handler" on \
-		GEOIP "Enable GeoIP IP2Country support" off \
-		MMAP "Enable using mapped memory" off \
-		PLASMAMULE "Compile aMule plasma applet and engine" off \
-		UPNP "Enable Universal Plug and Play support" off \
-		WEBSERVER "Compile aMule WebServer" on \
-		WXUNICODE "Enable Unicode support" on \
-		XAS "Install XChat2 plugin" on
-
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
-
-FLEX?=		${LOCALBASE}/bin/flex
-PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
-
-.include <bsd.port.pre.mk>
-
-.if !defined(WITH_DEBUG)
-CONFIGURE_ARGS+=--disable-debug
-.endif
-
-.if !defined(WITHOUT_NLS)
-USE_GETTEXT=	yes
-PLIST_SUB+=	NLS=""
-.else
-CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
-
-.if !defined(WITHOUT_ALC)
-CONFIGURE_ARGS+=	--enable-alc --enable-alcc
-PLIST_SUB+=		ALC=""
-.else
-CONFIGURE_ARGS+=	--disable-alc --disable-alcc
-PLIST_SUB+=		ALC="@comment "
-.endif
-
-.if !defined(WITHOUT_AMULECMD)
-CONFIGURE_ARGS+=	--enable-amulecmd
-PLIST_SUB+=		AMULECMD=""
-.else
-CONFIGURE_ARGS+=	--disable-amulecmd
-PLIST_SUB+=		AMULECMD="@comment "
-.endif
-
-.if !defined(WITHOUT_AMULEDAEMON)
-CONFIGURE_ARGS+=	--enable-amule-daemon
-PLIST_SUB+=		AMULEDAEMON=""
-USE_RC_SUBR=		amuled.sh
-.else
-CONFIGURE_ARGS+=	--disable-amule-daemon
-PLIST_SUB+=		AMULEDAEMON="@comment "
-.endif
-
-.if !defined(WITHOUT_AMULEGUI)
-CONFIGURE_ARGS+=	--enable-amule-gui
-PLIST_SUB+=		AMULEGUI=""
-.else
-CONFIGURE_ARGS+=	--disable-amule-gui
-PLIST_SUB+=		AMULEGUI="@comment "
-.endif
-
-.if !defined(WITHOUT_CAS)
-CONFIGURE_ARGS+=	--enable-cas --enable-wxcas
-LIB_DEPENDS+=		gd.4:${PORTSDIR}/graphics/gd
-PLIST_SUB+=		CAS=""
-.else
-CONFIGURE_ARGS+=	--disable-cas --disable-wxcas
-PLIST_SUB+=		CAS="@comment "
-.endif
-
-.if !defined(WITHOUT_ED2K)
-CONFIGURE_ARGS+=	--enable-ed2k
-PLIST_SUB+=		ED2K=""
-.else
-CONFIGURE_ARGS+=	--disable-ed2k
-PLIST_SUB+=		ED2K="@comment "
-.endif
-
-.if !defined(WITHOUT_GEOIP)
-CONFIGURE_ARGS+=	--enable-geoip
-LIB_DEPENDS+=		GeoIP.5:${PORTSDIR}/net/GeoIP
-.else
-CONFIGURE_ARGS+=	--disable-geoip
-.endif
-
-.if !defined(WITHOUT_MMAP)
-CONFIGURE_ARGS+=	--enable-mmap
-.else
-CONFIGURE_ARGS+=	--disable-mmap
-.endif
-
-.if !defined(WITHOUT_PLASMAMULE)
-CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=${KDE4_PREFIX}/bin/kde4-config
-CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
-QT_COMPONENTS+=		dbus gui moc_build
-PLIST_SUB+=		PLASMAMULE=""
-.else
-CONFIGURE_ARGS+=	--disable-plasmamule
-PLIST_SUB+=		PLASMAMULE="@comment "
-.endif
-
-.if !defined(WITHOUT_UPNP)
-LIB_DEPENDS+=		upnp.3:${PORTSDIR}/devel/upnp
-.else
-CONFIGURE_ARGS+=	--disable-upnp
-.endif
-
-.if !defined(WITHOUT_WEBSERVER)
-CONFIGURE_ARGS+=	--enable-webserver
-PLIST_SUB+=		WEBSERVER=""
-.else
-CONFIGURE_ARGS+=	--disable-webserver
-PLIST_SUB+=		WEBSERVER="@comment "
-.endif
-
-.if !defined(WITHOUT_WXUNICODE)
-WX_UNICODE=		yes
-.endif
-
-.if !defined(WITHOUT_XAS)
-CONFIGURE_ARGS+=	--enable-xas
-PLIST_SUB+=		XAS=""
-.else
-CONFIGURE_ARGS+=	--disable-xas
-PLIST_SUB+=		XAS="@comment "
-.endif
-
-# Man pages management
-.include "Makefile.man"
-
-post-patch:	.SILENT
-	${REINPLACE_CMD} -e '/LDFLAGS/s/-lpthread/${PTHREAD_LIBS}/' \
-		-e 's/test.*-print-file-name.*`/true/' \
-		${WRKSRC}/configure
-.if defined(NOPORTDOCS)
-	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' ${WRKSRC}/docs/Makefile.in
-.endif
-.if !defined(WITHOUT_PLASMAMULE)
-	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
-		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
-		-e 's/\(plasmamule_so_\)LDFLAGS/\1CXXFLAGS/' \
-		${WRKSRC}/src/utils/plasmamule/Makefile.in
-.endif
-
-post-install:
-.if !defined(WITHOUT_PLASMAMULE)
-	-update-desktop-database ${KDE4_PREFIX}/share/applications
-	-update-mime-database ${KDE4_PREFIX}/share/mime
-.endif
-	-update-desktop-database ${PREFIX}/share/applications
-
-.include <bsd.port.post.mk>
Index: net-p2p/amule2/Makefile.man
===================================================================
RCS file: net-p2p/amule2/Makefile.man
diff -N net-p2p/amule2/Makefile.man
--- net-p2p/amule2/Makefile.man	13 Aug 2010 13:18:23 -0000	1.6
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,52 +0,0 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
-
-.if !defined(WITHOUT_NLS)
-MAN1+=		amule.1
-. if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1 alcc.1
-MAN1_DE+=	alc.1 alcc.1
-MAN1_ES+=	alc.1 alcc.1
-MAN1_EU+=	alc.1 alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alc.1 alcc.1
-MAN1_IT+=	alc.1 alcc.1
-. endif
-. if !defined(WITHOUT_AMULECMD)
-MAN1+=		amulecmd.1
-. endif
-. if !defined(WITHOUT_AMULEDAEMON)
-MAN1+=		amuled.1
-. endif
-. if !defined(WITHOUT_AMULEGUI)
-MAN1_EN+=	amulegui.1
-MAN1_DE+=	amulegui.1
-MAN1_ES+=	amulegui.1
-MAN1_HU+=	amulegui.1
-MAN1_IT+=	amulegui.1
-. endif
-. if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1 wxcas.1
-MAN1_DE+=	cas.1 wxcas.1
-MAN1_ES+=	cas.1 wxcas.1
-MAN1_EU+=	cas.1 wxcas.1
-MAN1_HU+=	cas.1 wxcas.1
-MAN1_IT+=	cas.1 wxcas.1
-. endif
-. if !defined(WITHOUT_ED2K)
-MAN1+=		ed2k.1
-. endif
-. if !defined(WITHOUT_WEBSERVER)
-MAN1+=		amuleweb.1
-. endif
-.endif # !WITHOUT_NLS
-
-.if !defined(WITHOUT_XAS)
-MAN1_EN+=	xas.1
-MAN1_DE+=	xas.1
-MAN1_ES+=	xas.1
-MAN1_EU+=	xas.1
-MAN1_HU+=	xas.1
-MAN1_IT+=	xas.1
-.endif
Index: net-p2p/amule2/distinfo
===================================================================
RCS file: net-p2p/amule2/distinfo
diff -N net-p2p/amule2/distinfo
--- net-p2p/amule2/distinfo	3 Sep 2010 14:10:01 -0000	1.15
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,3 +0,0 @@
-MD5 (amule-svn-r10275.tar.gz) = 892753e2ce41c0be0c47c2168fc2415d
-SHA256 (amule-svn-r10275.tar.gz) = 24807b9ce7cfdd311a96feb988a8580b93570746ba957035dba8112532f7119b
-SIZE (amule-svn-r10275.tar.gz) = 5950845
Index: net-p2p/amule2/pkg-descr
===================================================================
RCS file: net-p2p/amule2/pkg-descr
diff -N net-p2p/amule2/pkg-descr
--- net-p2p/amule2/pkg-descr	17 May 2005 10:40:09 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,6 +0,0 @@
-aMule, the all-platform eMule p2p client
-
-aMule is a multiplatform fork of xMule
-client using wxWindows class library.
-
-WWW: http://www.amule.org
Index: net-p2p/amule2/pkg-plist
===================================================================
RCS file: net-p2p/amule2/pkg-plist
diff -N net-p2p/amule2/pkg-plist
--- net-p2p/amule2/pkg-plist	13 Aug 2010 13:18:23 -0000	1.15
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,179 +0,0 @@
-%%PLASMAMULE%%@cwd %%KDE4_PREFIX%%
-%%PLASMAMULE%%bin/plasmamule-engine-feeder
-%%PLASMAMULE%%lib/kde4/plasma-applet-plasmamule.so
-%%PLASMAMULE%%lib/kde4/plasma-engine-plasmamule.so
-%%PLASMAMULE%%share/applications/plasmamule-engine-feeder.desktop
-%%PLASMAMULE%%share/icons/hicolor/scalable/mimetypes/application-x-emulecollection.svg
-%%PLASMAMULE%%share/kde4/services/ed2k.protocol
-%%PLASMAMULE%%share/kde4/services/magnet.protocol
-%%PLASMAMULE%%share/kde4/services/plasma-applet-plasmamule.desktop
-%%PLASMAMULE%%share/kde4/services/plasma-engine-plasmamule.desktop
-%%PLASMAMULE%%share/mime/amule.xml
-%%PLASMAMULE%%@exec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
-%%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
-%%PLASMAMULE%%@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
-%%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
-%%PLASMAMULE%%@cwd
-%%ALC%%bin/alc
-%%ALC%%bin/alcc
-bin/amule
-%%AMULECMD%%bin/amulecmd
-%%AMULEDAEMON%%bin/amuled
-%%AMULEGUI%%bin/amulegui
-%%WEBSERVER%%bin/amuleweb
-%%XAS%%bin/autostart-xas
-%%CAS%%bin/cas
-%%ED2K%%bin/ed2k
-%%CAS%%bin/wxcas
-%%XAS%%lib/xchat/plugins/xas.pl
-%%DATADIR%%/skins/Mac_Gray.zip
-%%DATADIR%%/skins/gnome.zip
-%%DATADIR%%/skins/kde4.zip
-%%DATADIR%%/skins/priscilla.zip
-%%DATADIR%%/skins/tango.zip
-%%DATADIR%%/skins/xfce.zip
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-dload.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-kad.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-log.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-prefs.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-search.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-servers.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-shared.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/amuleweb-main-stats.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/black.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blank1x1.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blue1.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blue2.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blue3.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blue4.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blue5.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/blue6.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/cancel.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/close.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/col.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/connect.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/down.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/edkserv_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/edkserv_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/favicon.ico
-%%WEBSERVER%%%%DATADIR%%/webserver/default/filter.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/fond.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/fond_haut.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/footer.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/index.html
-%%WEBSERVER%%%%DATADIR%%/webserver/default/log.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/login.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginfond.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginfond_haut.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginlogo.jpg
-%%WEBSERVER%%%%DATADIR%%/webserver/default/loginlogo.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/logo.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/maquette.dwt
-%%WEBSERVER%%%%DATADIR%%/webserver/default/ok.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/pause.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/play.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/red.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/refresh.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/search_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/search_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/shared_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/shared_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/sheserv_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/sheserv_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/stats_tree.php
-%%WEBSERVER%%%%DATADIR%%/webserver/default/style.css
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_bottom.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_bottom_left.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_bottom_right.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_left.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_right.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_top.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_top_left.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tab_top_right.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/transf_0.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/transf_1.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tree-closed.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tree-leaf.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/tree-open.gif
-%%WEBSERVER%%%%DATADIR%%/webserver/default/up.png
-%%WEBSERVER%%%%DATADIR%%/webserver/default/yellow.gif
-%%ALC%%share/applications/alc.desktop
-share/applications/amule.desktop
-%%AMULEGUI%%share/applications/amulegui.desktop
-%%CAS%%share/applications/wxcas.desktop
-%%CAS%%share/cas/stat.png
-%%CAS%%share/cas/tmp.html
-%%NLS%%share/locale/ar/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/ast/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/bg/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/ca/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/cs/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/da/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/de/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/el/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/en_GB/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/es/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/et_EE/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/eu/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/fi/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/fr/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/gl/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/he/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/hr/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/hu/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/it/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/it_CH/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/ja/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/ko_KR/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/lt/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/nl/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/nn/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/pl/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/pt_BR/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/pt_PT/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/ro/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/ru/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/sl/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/sq/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/sv/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/tr/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/uk/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/zh_CN/LC_MESSAGES/amule.mo
-%%NLS%%share/locale/zh_TW/LC_MESSAGES/amule.mo
-%%ALC%%share/pixmaps/alc.xpm
-share/pixmaps/amule.xpm
-%%AMULEGUI%%share/pixmaps/amulegui.xpm
-%%CAS%%share/pixmaps/wxcas.xpm
-%%XAS%%@dirrmtry lib/xchat/plugins
-%%XAS%%@dirrmtry lib/xchat
-@dirrmtry man/de/man1
-@dirrmtry man/de
-@dirrmtry man/es/man1
-@dirrmtry man/es
-@dirrmtry man/eu/man1
-@dirrmtry man/eu
-@dirrmtry man/fr/man1
-@dirrmtry man/fr
-@dirrmtry man/hu/man1
-@dirrmtry man/hu
-@dirrmtry man/it/man1
-@dirrmtry man/it
-@dirrm %%DATADIR%%/skins
-%%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
-%%WEBSERVER%%@dirrm %%DATADIR%%/webserver
-@dirrm %%DATADIR%%
-@dirrmtry share/applications
-%%CAS%%@dirrmtry share/cas
-%%NLS%%@dirrmtry share/locale/ast/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/ast
-%%NLS%%@dirrmtry share/locale/et_EE/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/et_EE
-%%NLS%%@dirrmtry share/locale/it_CH/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/it_CH
-%%NLS%%@dirrmtry share/locale/ko_KR/LC_MESSAGES
-%%NLS%%@dirrmtry share/locale/ko_KR
-@exec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
-@unexec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
Index: net-p2p/amule2/files/amuled.sh.in
===================================================================
RCS file: net-p2p/amule2/files/amuled.sh.in
diff -N net-p2p/amule2/files/amuled.sh.in
--- net-p2p/amule2/files/amuled.sh.in	27 Mar 2010 00:14:29 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,69 +0,0 @@
-#!/bin/sh
-#
-# aMule RCng startup script
-# Ogirinal work from Gabriele Cecchetti (amule.org forum)
-# 
-
-# PROVIDE: amuled
-# REQUIRE: NETWORKING SERVERS
-# BEFORE: DAEMON
-# KEYWORD: shutdown
-
-#
-# Add the following lines to /etc/rc.conf to enable amuled at startup
-# amuled (bool): Set to "NO" by default.
-#                Set it to "YES" to enable amuled
-# amuled_user (str): Set to user running amuled
-#                    (default 'aMule')
-# amuled_home (str): Set to home directory of user running amuled
-#                    (default /home/${amuled_user})
-#
-. /etc/rc.subr
-
-name="amuled"
-rcvar=`set_rcvar`
-
-load_rc_config $name
-
-[ -z "$amuled_enable" ] && amuled_enable="NO"
-[ -z "$amuled_user" ] && amuled_user="aMule"
-[ -z "$amuled_home" ] && amuled_home="/home/${amuled_user}"
-
-required_dirs=${amuled_home}
-required_files="${amuled_home}/.aMule/amule.conf"
-
-start_cmd="${name}_start"
-stop_cmd="${name}_stop"
-
-amuled_start()
-{
-        if [ ! -f /var/run/${name}.run ]
-        then
-          su -l ${amuled_user} -c "amuled &" 2>>/var/log/${name}.log >>/var/log/${name}.log && touch /var/run/${name}.run
-          echo "Started ${name}."
-          echo `date` : "Started ${name}." >> /var/log/${name}.log
-        else
-          echo "${name} seems to be already running -- remove /var/run/${name}.run manually if needed."
-        fi
-}
-
-amuled_stop()
-{
-        if [ -f /var/run/${name}.run ]
-        then
-          # The following line is much better, but doesn't stop totally amuled
-          # su -l ${amuled_user} -c "amulecmd -c Shutdown" 2>>/var/log/${name}.log >>/var/log/${name}.log
-          # Since amuled catches SIGTERM, this way is preferred for now
-          killall -TERM amuled 2>>/var/log/${name}.log >>/var/log/${name}.log ; sleep 3
-          killall -KILL amuled 2>>/var/log/${name}.log >>/var/log/${name}.log
-          # Also kill amuleweb if needed
-          killall -KILL amuleweb 2>/dev/null >/dev/null
-          rm -f /var/run/${name}.run
-          echo "Stopped ${name}."
-          echo `date` : "Stopped ${name}." >> /var/log/${name}.log
-        else
-          echo "${name} doesn't seem to be running -- create /var/run/${name}.run if needed."
-        fi
-}
-
-run_rc_command "$1"
--- a.diff ends here ---
Comment 11 Philip M. Gollucci freebsd_committer 2010-10-05 23:31:41 UTC
State Changed
From-To: open->repocopy

repo copy cvs rename only net-p2p/amule (recently created, no history 
yet) -> net-p2p/amule-devel 


Comment 12 Philip M. Gollucci freebsd_committer 2010-10-05 23:31:41 UTC
Responsible Changed
From-To: pgollucci->portmgr

repo copy cvs rename only net-p2p/amule (recently created, no history 
yet) -> net-p2p/amule-devel
Comment 13 swell.k 2010-10-07 16:09:01 UTC
Accommodate to dynamic PKGNAME from net-p2p/ed2k.

--- b.diff begins here ---
--- net-p2p/amule/Makefile
+++ net-p2p/amule/Makefile
@@ -121,7 +121,7 @@ PLIST_SUB+=		CAS="@comment "
 .endif
 
 .if !defined(WITHOUT_ED2K)
-CONFLICTS+=		ed2k-hash-[0-9]*
+CONFLICTS+=		ed2k-hash*
 CONFIGURE_ARGS+=	--enable-ed2k
 PLIST_SUB+=		ED2K=""
 .else
--- net-p2p/amule-devel/Makefile
+++ net-p2p/amule-devel/Makefile
@@ -128,7 +128,7 @@ PLIST_SUB+=		CAS="@comment "
 .endif
 
 .if !defined(WITHOUT_ED2K)
-CONFLICTS+=		ed2k-hash-[0-9]*
+CONFLICTS+=		ed2k-hash*
 CONFIGURE_ARGS+=	--enable-ed2k
 PLIST_SUB+=		ED2K=""
 .else
--- b.diff ends here ---
Comment 14 Joe Marcus Clarke freebsd_committer 2010-10-11 05:18:12 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 15 Joe Marcus Clarke freebsd_committer 2010-10-11 05:18:12 UTC
Responsible Changed
From-To: portmgr->pgollucci

Repocopy complete.
Comment 16 swell.k 2010-10-14 03:42:17 UTC
update snapshot to r10310

--- c.diff begins here ---
--- net-p2p/amule-devel/Makefile
+++ net-p2p/amule-devel/Makefile
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10305
+PORTVERSION=	10310
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
--- net-p2p/amule-devel/distinfo
+++ net-p2p/amule-devel/distinfo
@@ -1,3 +1,3 @@
-MD5 (aMule-SVN-r10305.tar.bz2) = 86bf1474af7acb097843e4521d2774de
-SHA256 (aMule-SVN-r10305.tar.bz2) = d0bfc9667c4528510e1690c3d7b903c912386e16451ef552a9b9e02112319ff9
-SIZE (aMule-SVN-r10305.tar.bz2) = 4506472
+MD5 (aMule-SVN-r10310.tar.bz2) = ecd16ddc14e9604de50c5d1a85c4332c
+SHA256 (aMule-SVN-r10310.tar.bz2) = a7f73acf25983a185b5111e8badf70f62aee869b05c8a2abe9ea295a70d9e86f
+SIZE (aMule-SVN-r10310.tar.bz2) = 4507757
--- c.diff ends here ---
Comment 17 dfilter service freebsd_committer 2010-10-19 06:23:36 UTC
pgollucci    2010-10-19 05:23:31 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/amule-devel  Makefile Makefile.man distinfo pkg-descr 
                         pkg-plist 
  Log:
  - forced commit to note repo copy from net-p2p/amule2 -> net-p2p/amule-devel
  
  PR:                             ports/150985
  Submitted by:   swell.k@gmail.com
  Repo copy by:   marcus
  
  Revision  Changes    Path
  1.42      +0 -0      ports/net-p2p/amule-devel/Makefile
  1.7       +0 -0      ports/net-p2p/amule-devel/Makefile.man
  1.16      +0 -0      ports/net-p2p/amule-devel/distinfo
  1.2       +0 -0      ports/net-p2p/amule-devel/pkg-descr
  1.16      +0 -0      ports/net-p2p/amule-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 18 dfilter service freebsd_committer 2010-10-19 06:28:10 UTC
pgollucci    2010-10-19 05:28:07 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/amule        Makefile Makefile.man distinfo pkg-plist 
    net-p2p/amule-devel  Makefile Makefile.man distinfo pkg-plist 
  Log:
  - Split amule into amule and amule-devel
  
  PR:             ports/150985
  Submitted by:   swell.k@gmail.com (maintainer)
  
  Revision  Changes    Path
  1.43      +55 -16    ports/net-p2p/amule-devel/Makefile
  1.8       +30 -12    ports/net-p2p/amule-devel/Makefile.man
  1.17      +3 -3      ports/net-p2p/amule-devel/distinfo
  1.17      +8 -7      ports/net-p2p/amule-devel/pkg-plist
  1.42      +41 -56    ports/net-p2p/amule/Makefile
  1.7       +26 -15    ports/net-p2p/amule/Makefile.man
  1.16      +3 -3      ports/net-p2p/amule/distinfo
  1.16      +229 -84   ports/net-p2p/amule/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 19 dfilter service freebsd_committer 2010-10-19 06:35:38 UTC
pgollucci    2010-10-19 05:35:32 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/amule        Makefile 
    net-p2p/amule-devel  Makefile 
  Log:
  - Update CONFLICTS for dynamic PKGNAME
  
  PR:             ports/150985
  Submitted by:   swell.k@gmail.com (maintainer)
  
  Revision  Changes    Path
  1.44      +1 -1      ports/net-p2p/amule-devel/Makefile
  1.43      +1 -1      ports/net-p2p/amule/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 20 dfilter service freebsd_committer 2010-10-19 06:36:40 UTC
pgollucci    2010-10-19 05:36:35 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/amule-devel  Makefile distinfo 
  Log:
  - Update to 10310 snapshot
  
  PR:             ports/150985
  Submitted by:   swell.k@gmail.com (maintainer)
  
  Revision  Changes    Path
  1.45      +1 -1      ports/net-p2p/amule-devel/Makefile
  1.18      +3 -3      ports/net-p2p/amule-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 21 dfilter service freebsd_committer 2010-10-19 06:37:35 UTC
pgollucci    2010-10-19 05:37:31 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Log:
  - Connect amule and amule2 to the build
  
  PR:             ports/150985
  Submitted by:   swell.k@gmail.com (maintainer)
  
  Revision  Changes    Path
  1.94      +2 -0      ports/net-p2p/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 22 Philip M. Gollucci freebsd_committer 2010-10-19 06:37:39 UTC
State Changed
From-To: open->closed

Committed, Thanks!